it.csi.mddtools.guigen

## Interface Point

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface Point
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Point'.

  The following features are supported:

  - `X`
  - `Y`
  See Also:
    `GuigenPackage.getPoint()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getX()` Returns the value of the 'X' attribute
    `double` | `getY()` Returns the value of the 'Y' attribute
    `void` | `setX(double value)` Sets the value of the '`X`' attribute
    `void` | `setY(double value)` Sets the value of the '`Y`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getX

          double getX()

      Returns the value of the 'X' attribute.

      If the meaning of the 'X' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'X' attribute.
      See Also:
        `setX(double)`, `GuigenPackage.getPoint_X()`

    - #### setX

          void setX(double value)

      Sets the value of the '`X`' attribute.
      Parameters:
        `value` - the new value of the 'X' attribute.
      See Also:
        `getX()`

    - #### getY

          double getY()

      Returns the value of the 'Y' attribute.

      If the meaning of the 'Y' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Y' attribute.
      See Also:
        `setY(double)`, `GuigenPackage.getPoint_Y()`

    - #### setY

          void setY(double value)

      Sets the value of the '`Y`' attribute.
      Parameters:
        `value` - the new value of the 'Y' attribute.
      See Also:
        `getY()`